> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/check-device-binding.md).

# Comprobar vinculación del dispositivo

Llame a esto antes de comenzar el enlace del dispositivo, o antes de autenticar una transacción.

Usa `getBindingState` (Thales SDK) para comprobar si un token ya está vinculado en el dispositivo.

### Integración del SDK

{% tabs %}
{% tab title="Android" %}

```java
String vProvisionedTokenId = ""; // Ejemplo
try {
    BindingState state = visaCTFHelper.getBindingState(vProvisionedTokenId);
} catch (TMGClientException e) {
    // Manejar error
}
```

{% endtab %}

{% tab title="iOS" %}

```swift
let vProvisionedTokenID = "" // Ejemplo
do {
    let state = try visaCTFHelper.bindingState(forVProvisionedTokenID: vProvisionedTokenID)
} catch let error {
    // Manejar el error
}
```

{% endtab %}
{% endtabs %}

Dependiendo del estado devuelto, continúe con uno de estos flujos:

* `NO VINCULADO`

  Iniciar el enlace del dispositivo. Vea [Flujo verde de enlace de dispositivo](/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/create-device-binding-green-flow.md).
* `PENDING_ACTIVATION`

  Reanudar el enlace del dispositivo. Este estado generalmente significa que el emisor requirió **autenticación de escalado** usar un **métodos** método. Vea [Crear vinculación de dispositivo (flujo amarillo)](/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/create-device-binding-yellow-flow.md).
* `VINCULADO`

  Autenticar transacciones. Vea [Procesar una transacción](/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/authenticate-a-transaction.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/check-device-binding.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
